# $Header: $

EAPI='7'
DESCRIPTION='LaTeX package for drawing flags of countries using PSTricks'
HOMEPAGE='https://ctan.org/tex-archive/graphics/pstricks/contrib/pst-flags'
SRC_URI="http://mirrors.ctan.org/graphics/pstricks/contrib/pst-flags.zip -> ${P}.zip"
LICENSE='lppl-1-3c'
SLOT='0'
KEYWORDS='~alpha ~amd64 ~arm ~hppa ~m68k ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-macos'
DEPEND='app-text/texlive app-arch/unzip'

src_unpack() {
	if [[ -n ${A} ]]; then
		unpack "${A}"
		mv "${PN}" "${P}"
	fi
}

src_install() {
	dodoc README.md doc/amm-pst-doc.cls doc/"${PN}"-examples.tex doc/"${PN}"-doc.tex doc/"${PN}"-doc.pdf

	insinto /usr/share/texmf-dist/tex/"${PN}"
	doins tex/"${PN}".sty
	doins tex/"${PN}"-colors-html.sty
	insinto /usr/share/texmf-dist/tex/"${PN}"/Flags
	doins tex/Flags/*.tex
	doins tex/Flags/*.eps
}

pkg_postinst() {
	texhash
}

pkg_postrm() {
	texhash
}
