# Copyright 2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

CRATES="
	addr2line@0.24.2
	adler2@2.0.1
	aes@0.8.4
	aho-corasick@1.1.3
	allocator-api2@0.2.21
	android-tzdata@0.1.1
	android_system_properties@0.1.5
	anyhow@1.0.98
	arbitrary@1.4.1
	argh@0.1.13
	argh_derive@0.1.13
	argh_shared@0.1.13
	arrayvec@0.7.6
	atomic-waker@1.1.2
	autocfg@1.4.0
	aws-config@1.6.3
	aws-credential-types@1.2.3
	aws-lc-rs@1.13.1
	aws-lc-sys@0.29.0
	aws-runtime@1.5.7
	aws-sdk-s3@1.91.0
	aws-sdk-sso@1.72.0
	aws-sdk-ssooidc@1.73.0
	aws-sdk-sts@1.73.0
	aws-sigv4@1.3.2
	aws-smithy-async@1.2.5
	aws-smithy-checksums@0.63.3
	aws-smithy-eventstream@0.60.8
	aws-smithy-http-client@1.0.3
	aws-smithy-http@0.62.1
	aws-smithy-json@0.61.3
	aws-smithy-observability@0.1.3
	aws-smithy-query@0.60.7
	aws-smithy-runtime-api@1.8.0
	aws-smithy-runtime@1.8.3
	aws-smithy-types@1.3.1
	aws-smithy-xml@0.60.9
	aws-types@1.3.7
	backtrace@0.3.75
	base16ct@0.1.1
	base64-simd@0.8.0
	base64@0.21.7
	base64@0.22.1
	base64ct@1.8.0
	bindgen@0.69.5
	bitflags@1.3.2
	bitflags@2.9.1
	block-buffer@0.10.4
	block-padding@0.3.3
	block2@0.6.1
	bumpalo@3.18.1
	byteorder@1.5.0
	bytes-utils@0.1.4
	bytes@1.10.1
	bytesize@2.0.1
	bytestring@1.4.0
	camino@1.1.10
	cargo-platform@0.1.9
	cargo_metadata@0.19.2
	cassowary@0.3.0
	castaway@0.2.3
	cbc@0.1.2
	cc@1.2.26
	cexpr@0.6.0
	cfg-if@1.0.1
	cfg_aliases@0.2.1
	chrono@0.4.41
	cipher@0.4.4
	clang-sys@1.8.1
	cmake@0.1.54
	compact_str@0.8.1
	console@0.15.11
	const-oid@0.9.6
	content_inspector@0.2.4
	convert_case@0.7.1
	core-foundation-sys@0.8.7
	core-foundation@0.10.1
	core-foundation@0.9.4
	cpufeatures@0.2.17
	crc-any@2.5.0
	crc-catalog@2.4.0
	crc-fast@1.2.2
	crc32fast@1.4.2
	crc@3.3.0
	crossbeam-deque@0.8.6
	crossbeam-epoch@0.9.18
	crossbeam-utils@0.8.21
	crossterm@0.28.1
	crossterm@0.29.0
	crossterm_winapi@0.9.1
	crypto-bigint@0.4.9
	crypto-bigint@0.5.5
	crypto-common@0.1.6
	curve25519-dalek-derive@0.1.1
	curve25519-dalek@4.1.3
	darling@0.20.11
	darling_core@0.20.11
	darling_macro@0.20.11
	data-encoding@2.9.0
	dbus-secret-service@4.0.3
	dbus@0.9.7
	debug-helper@0.3.13
	der@0.6.1
	der@0.7.10
	deranged@0.4.0
	derive_arbitrary@1.4.1
	derive_builder@0.20.2
	derive_builder_core@0.20.2
	derive_builder_macro@0.20.2
	derive_more-impl@2.0.1
	derive_more@2.0.1
	des@0.8.1
	diff@0.1.13
	digest@0.10.7
	dirs-sys@0.5.0
	dirs@6.0.0
	dispatch2@0.3.0
	displaydoc@0.2.5
	document-features@0.2.11
	dunce@1.0.5
	ecdsa@0.14.8
	ed25519-dalek@2.1.1
	ed25519@2.2.3
	edit@0.1.5
	either@1.15.0
	elliptic-curve@0.12.3
	encode_unicode@1.0.0
	encoding_rs@0.8.35
	equivalent@1.0.2
	errno@0.3.12
	fastrand@2.3.0
	ff@0.12.1
	fiat-crypto@0.2.9
	filetime@0.2.25
	flate2@1.1.2
	fnv@1.0.7
	foldhash@0.1.5
	foreign-types-shared@0.1.1
	foreign-types@0.3.2
	form_urlencoded@1.2.1
	fs_extra@1.3.0
	fsevent-sys@4.1.0
	futures-channel@0.3.31
	futures-core@0.3.31
	futures-executor@0.3.31
	futures-io@0.3.31
	futures-lite@2.6.0
	futures-macro@0.3.31
	futures-sink@0.3.31
	futures-task@0.3.31
	futures-util@0.3.31
	futures@0.3.31
	generic-array@0.14.7
	getrandom@0.2.16
	getrandom@0.3.3
	gimli@0.31.1
	git2@0.20.2
	glob@0.3.2
	group@0.12.1
	h2@0.3.26
	h2@0.4.10
	hashbrown@0.15.4
	headers-core@0.3.0
	headers@0.4.1
	heck@0.5.0
	hex@0.4.3
	hmac@0.12.1
	home@0.5.11
	hostname@0.4.1
	http-body-util@0.1.3
	http-body@0.4.6
	http-body@1.0.1
	http@0.2.12
	http@1.3.1
	httparse@1.10.1
	httpdate@1.0.3
	hyper-http-proxy@1.1.0
	hyper-rustls@0.24.2
	hyper-rustls@0.27.7
	hyper-timeout@0.5.2
	hyper-tls@0.5.0
	hyper-util@0.1.14
	hyper@0.14.32
	hyper@1.6.0
	iana-time-zone-haiku@0.1.2
	iana-time-zone@0.1.63
	icu_collections@2.0.0
	icu_locale_core@2.0.0
	icu_normalizer@2.0.0
	icu_normalizer_data@2.0.0
	icu_properties@2.0.1
	icu_properties_data@2.0.1
	icu_provider@2.0.0
	ident_case@1.0.1
	idna@1.0.3
	idna_adapter@1.2.1
	indexmap@2.9.0
	indicatif@0.17.11
	indoc@2.0.6
	inotify-sys@0.1.5
	inotify@0.11.0
	inout@0.1.4
	instability@0.3.7
	ipnet@2.11.0
	iri-string@0.7.8
	is-docker@0.2.0
	is-wsl@0.4.0
	itertools@0.12.1
	itertools@0.13.0
	itoa@1.0.15
	jobserver@0.1.33
	js-sys@0.3.77
	jsonpath-rust@0.5.1
	k8s-openapi@0.22.0
	keyring@3.6.2
	kqueue-sys@1.0.4
	kqueue@1.1.1
	kube-client@0.92.1
	kube-core@0.92.1
	kube@0.92.1
	lazy-regex-proc_macros@3.4.1
	lazy-regex@3.4.1
	lazy_static@1.5.0
	lazycell@1.3.0
	libc@0.2.172
	libdbus-sys@0.2.5
	libgit2-sys@0.18.1+1.9.0
	libloading@0.8.8
	libredox@0.1.3
	libssh2-sys@0.3.1
	libz-sys@1.1.22
	linux-raw-sys@0.4.15
	linux-raw-sys@0.9.4
	litemap@0.8.0
	litrs@0.4.1
	lock_api@0.4.13
	log@0.4.27
	lru-slab@0.1.2
	lru@0.12.5
	mac-notification-sys@0.6.4
	magic-crypt@4.0.1
	md-5@0.10.6
	memchr@2.7.4
	mime@0.3.17
	minimal-lexical@0.2.1
	miniz_oxide@0.8.9
	mio@1.0.4
	native-tls@0.2.14
	nom@7.1.3
	nonempty@0.9.0
	notify-rust@4.11.7
	notify-types@2.0.0
	notify@8.0.0
	ntapi@0.4.1
	nucleo-matcher@0.3.1
	nucleo@0.5.0
	num-bigint@0.4.6
	num-complex@0.4.6
	num-conv@0.1.0
	num-integer@0.1.46
	num-iter@0.1.45
	num-rational@0.4.2
	num-traits@0.2.19
	num@0.4.3
	num_threads@0.1.7
	number_prefix@0.4.0
	objc2-core-foundation@0.3.1
	objc2-encode@4.1.0
	objc2-foundation@0.3.1
	objc2@0.6.1
	object@0.36.7
	once_cell@1.21.3
	open@5.3.2
	openssl-macros@0.1.1
	openssl-probe@0.1.6
	openssl-src@300.5.0+3.5.0
	openssl-sys@0.9.109
	openssl@0.10.73
	option-ext@0.2.0
	ordered-float@2.10.1
	outref@0.5.2
	p256@0.11.1
	parking@2.2.1
	parking_lot@0.12.4
	parking_lot_core@0.9.11
	paste@1.0.15
	path-slash@0.1.5
	path-slash@0.2.1
	pathdiff@0.2.3
	pavao-src@4.22.0
	pavao-sys@0.2.12
	pavao@0.2.12
	pem@3.0.5
	percent-encoding@2.3.1
	pest@2.8.0
	pest_derive@2.8.0
	pest_generator@2.8.0
	pest_meta@2.8.0
	pin-project-internal@1.1.10
	pin-project-lite@0.2.16
	pin-project@1.1.10
	pin-utils@0.1.0
	pkcs8@0.10.2
	pkcs8@0.9.0
	pkg-config@0.3.32
	portable-atomic@1.11.1
	potential_utf@0.1.2
	powerfmt@0.2.0
	ppv-lite86@0.2.21
	pretty_assertions@1.4.1
	prettyplease@0.2.33
	proc-macro2@1.0.95
	quick-xml@0.31.0
	quick-xml@0.37.5
	quinn-proto@0.11.12
	quinn-udp@0.5.12
	quinn@0.11.8
	quote@1.0.40
	r-efi@5.2.0
	rand@0.8.5
	rand@0.9.1
	rand_chacha@0.3.1
	rand_chacha@0.9.0
	rand_core@0.6.4
	rand_core@0.9.3
	ratatui@0.29.0
	rayon-core@1.12.1
	rayon@1.10.0
	redox_syscall@0.5.12
	redox_users@0.5.0
	regex-automata@0.4.9
	regex-lite@0.1.6
	regex-syntax@0.8.5
	regex@1.11.1
	remotefs-aws-s3@0.4.2
	remotefs-ftp@0.2.2
	remotefs-kube@0.4.0
	remotefs-smb@0.3.1
	remotefs-ssh@0.6.2
	remotefs-webdav@0.2.0
	remotefs@0.3.1
	reqwest@0.11.27
	reqwest@0.12.20
	rfc6979@0.3.1
	ring@0.17.14
	rpassword@7.4.0
	rtoolbox@0.0.3
	rust-fuzzy-search@0.1.1
	rustc-demangle@0.1.25
	rustc-hash@1.1.0
	rustc-hash@2.1.1
	rustc_version@0.4.1
	rustix@0.38.44
	rustix@1.0.7
	rustls-native-certs@0.6.3
	rustls-native-certs@0.7.3
	rustls-native-certs@0.8.1
	rustls-pemfile@1.0.4
	rustls-pemfile@2.2.0
	rustls-pki-types@1.12.0
	rustls-webpki@0.101.7
	rustls-webpki@0.103.3
	rustls@0.21.12
	rustls@0.23.27
	rustversion@1.0.21
	rustydav@0.1.3
	ryu@1.0.20
	same-file@1.0.6
	scc@2.3.4
	schannel@0.1.27
	scopeguard@1.2.0
	sct@0.7.1
	sdd@3.0.8
	sec1@0.3.0
	secrecy@0.8.0
	security-framework-sys@2.14.0
	security-framework@2.11.1
	security-framework@3.2.0
	self-replace@1.5.0
	self_update@0.42.0
	semver@1.0.26
	serde-value@0.7.0
	serde@1.0.219
	serde_derive@1.0.219
	serde_json@1.0.140
	serde_spanned@0.6.9
	serde_urlencoded@0.7.1
	serde_yaml@0.9.34+deprecated
	serial_test@3.2.0
	serial_test_derive@3.2.0
	sha1@0.10.6
	sha2@0.10.9
	shlex@1.3.0
	signal-hook-mio@0.2.4
	signal-hook-registry@1.4.5
	signal-hook@0.3.18
	signature@1.6.4
	signature@2.2.0
	simd-adler32@0.3.7
	simplelog@0.12.2
	slab@0.4.9
	smallvec@1.15.1
	smawk@0.3.2
	socket2@0.5.10
	spki@0.6.0
	spki@0.7.3
	ssh2-config@0.5.4
	ssh2@0.9.5
	stable_deref_trait@1.2.0
	static_assertions@1.1.0
	strsim@0.11.1
	strum@0.26.3
	strum_macros@0.26.4
	subtle@2.6.1
	suppaftp@6.3.0
	syn@2.0.102
	sync_wrapper@0.1.2
	sync_wrapper@1.0.2
	synstructure@0.13.2
	sysinfo@0.34.2
	system-configuration-sys@0.5.0
	system-configuration@0.5.1
	tar@0.4.44
	tauri-winrt-notification@0.7.2
	tempfile@3.20.0
	termcolor@1.4.1
	textwrap@0.16.2
	thiserror-impl@1.0.69
	thiserror-impl@2.0.12
	thiserror@1.0.69
	thiserror@2.0.12
	tiger@0.2.1
	time-core@0.1.4
	time-macros@0.2.22
	time@0.3.41
	tinystr@0.8.1
	tinyvec@1.9.0
	tinyvec_macros@0.1.1
	tokio-macros@2.5.0
	tokio-native-tls@0.3.1
	tokio-rustls@0.24.1
	tokio-rustls@0.26.2
	tokio-tungstenite@0.23.1
	tokio-util@0.7.15
	tokio@1.45.1
	toml@0.8.23
	toml_datetime@0.6.11
	toml_edit@0.22.27
	toml_write@0.1.2
	tower-http@0.5.2
	tower-http@0.6.6
	tower-layer@0.3.3
	tower-service@0.3.3
	tower@0.4.13
	tower@0.5.2
	tracing-attributes@0.1.29
	tracing-core@0.1.34
	tracing@0.1.41
	try-lock@0.2.5
	tui-realm-stdlib@3.0.0
	tui-term@0.2.0
	tuirealm@3.0.1
	tuirealm_derive@2.0.1
	tungstenite@0.23.0
	typenum@1.18.0
	ucd-trie@0.1.7
	unicode-ident@1.0.18
	unicode-linebreak@0.1.5
	unicode-segmentation@1.12.0
	unicode-truncate@1.1.0
	unicode-width@0.1.14
	unicode-width@0.2.0
	unsafe-libyaml@0.2.11
	untrusted@0.9.0
	url@2.5.4
	urlencoding@2.1.3
	utf-8@0.7.6
	utf8_iter@1.0.4
	utf8parse@0.2.2
	uuid@1.17.0
	uzers@0.12.1
	vcpkg@0.2.15
	vergen-git2@1.0.7
	vergen-lib@0.1.6
	vergen@9.0.6
	version-compare@0.2.0
	version_check@0.9.5
	vsimd@0.8.0
	vt100@0.15.2
	vte@0.11.1
	vte_generate_state_changes@0.1.2
	walkdir@2.5.0
	want@0.3.1
	wasi@0.11.1+wasi-snapshot-preview1
	wasi@0.14.2+wasi-0.2.4
	wasite@0.1.0
	wasm-bindgen-backend@0.2.100
	wasm-bindgen-futures@0.4.50
	wasm-bindgen-macro-support@0.2.100
	wasm-bindgen-macro@0.2.100
	wasm-bindgen-shared@0.2.100
	wasm-bindgen@0.2.100
	web-sys@0.3.77
	web-time@1.1.0
	webpki-roots@1.0.0
	which@4.4.2
	whoami@1.6.0
	wildmatch@2.4.0
	winapi-i686-pc-windows-gnu@0.4.0
	winapi-util@0.1.9
	winapi-x86_64-pc-windows-gnu@0.4.0
	winapi@0.3.9
	windows-collections@0.2.0
	windows-core@0.57.0
	windows-core@0.61.2
	windows-future@0.2.1
	windows-implement@0.57.0
	windows-implement@0.60.0
	windows-interface@0.57.0
	windows-interface@0.59.1
	windows-link@0.1.1
	windows-numerics@0.2.0
	windows-result@0.1.2
	windows-result@0.3.4
	windows-strings@0.4.2
	windows-sys@0.48.0
	windows-sys@0.52.0
	windows-sys@0.59.0
	windows-targets@0.48.5
	windows-targets@0.52.6
	windows-targets@0.53.0
	windows-threading@0.1.0
	windows-version@0.1.4
	windows@0.57.0
	windows@0.61.1
	windows_aarch64_gnullvm@0.48.5
	windows_aarch64_gnullvm@0.52.6
	windows_aarch64_gnullvm@0.53.0
	windows_aarch64_msvc@0.48.5
	windows_aarch64_msvc@0.52.6
	windows_aarch64_msvc@0.53.0
	windows_i686_gnu@0.48.5
	windows_i686_gnu@0.52.6
	windows_i686_gnu@0.53.0
	windows_i686_gnullvm@0.52.6
	windows_i686_gnullvm@0.53.0
	windows_i686_msvc@0.48.5
	windows_i686_msvc@0.52.6
	windows_i686_msvc@0.53.0
	windows_x86_64_gnu@0.48.5
	windows_x86_64_gnu@0.52.6
	windows_x86_64_gnu@0.53.0
	windows_x86_64_gnullvm@0.48.5
	windows_x86_64_gnullvm@0.52.6
	windows_x86_64_gnullvm@0.53.0
	windows_x86_64_msvc@0.48.5
	windows_x86_64_msvc@0.52.6
	windows_x86_64_msvc@0.53.0
	winnow@0.7.11
	winreg@0.50.0
	wit-bindgen-rt@0.39.0
	writeable@0.6.1
	xattr@1.5.0
	xmlparser@0.13.6
	yansi@1.0.1
	yoke-derive@0.8.0
	yoke@0.8.0
	zerocopy-derive@0.8.25
	zerocopy@0.8.25
	zerofrom-derive@0.1.6
	zerofrom@0.1.6
	zeroize@1.8.1
	zerotrie@0.2.2
	zerovec-derive@0.11.1
	zerovec@0.11.2
	zip@2.4.2
	zipsign-api@0.1.5
	zopfli@0.8.2
"

RUST_MIN_VER="1.85.1"

inherit cargo

DESCRIPTION="A feature rich terminal UI file transfer and explorer with support for SCP/SFTP/FTP/S3/SMB"
HOMEPAGE="https://termscp.veeso.dev https://github.com/veeso/termscp"
SRC_URI="
	https://github.com/veeso/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
	${CARGO_CRATE_URIS}
"

LICENSE="MIT"
# Dependent crate licenses
LICENSE+="
	Apache-2.0 BSD CC0-1.0 CDLA-Permissive-2.0 GPL-3 ISC MIT MPL-2.0
	openssl Unicode-3.0 ZLIB
"
SLOT="0"
KEYWORDS="~amd64"

DEPEND="${BDEPEND}"
BDEPEND="
	virtual/pkgconfig
	sys-apps/dbus
	net-fs/samba
"
