# Copyright 2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit go-module

DESCRIPTION='A TUI playground to experiment with jq'
HOMEPAGE='https://github.com/noahgorstein/jqp'

SRC_URI="https://github.com/noahgorstein/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE='MIT'
SLOT='0'
KEYWORDS='~amd64 ~arm64'

src_compile() {
	ego build -o bin/"${PN}" -ldflags "-X main.version=${PV}"
}

src_install() {
	dobin bin/"${PN}"
}
