# Copyright 2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DESCRIPTION='Simple XLib program to highlight the cursor position'
HOMEPAGE='https://github.com/arp242/find-cursor'
GIT_COMMIT='4a67d023ef204d0c237841610e943cc247447be0'
SRC_URI="https://github.com/arp242/${PN}/archive/${GIT_COMMIT}.tar.gz  -> ${P}.tar.gz"
S="${WORKDIR}/${PN}-${GIT_COMMIT}"

LICENSE='MIT'
SLOT='0'
KEYWORDS='~amd64 ~x86'

DEPEND='
	x11-libs/libXcomposite
	x11-libs/libXdamage
	x11-libs/libXrender
	x11-libs/libX11
'
RDEPEND="${DEPEND}"

src_install() {
	emake PREFIX=/usr DESTDIR="${D}" install
}
